Summary: Various tools for creating cd images and burning cds
Name: cdrtools
Version: 1.10
Release: 8tr
License: GPL
Group: Environment/Utilities
Source: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Obsoletes: mkisofs

%description
Cdrtools creates home-burned CDs with a CD-R/CD-RW recorder. It works as a burn
engine for several applications. It supports CD recorders from many
different vendors; all SCSI-3/mmc and ATAPI/mmc compliant drives should also
work. Supported features include IDE/ATAPI, parallel-port, and SCSI drives,
audio CDs, data CDs, and mixed CDs, full multi- session support, CD-RWs
(rewritable), TAO, DAO and human-readable error messages. Cdrtools includes
remote SCSI support and can access local or remote CD-writers. It also include
the widely used mkisofs tool.	

Install the cdrtools package if you need a program for writing CD-ROMs.

%package devel
Summary: Development files for cdrtools 
Group: Libraries/Development

%description devel
You may want to install this package if you are to develop applications 
based on the cdrtool framework.

%prep
%setup -q

%build

make

%install
rm -rf $RPM_BUILD_ROOT

make INS_BASE=$RPM_BUILD_ROOT/usr install

mkdir $RPM_BUILD_ROOT/usr/share 
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share
strip $RPM_BUILD_ROOT/usr/bin/*
strip $RPM_BUILD_ROOT/usr/sbin/*

# Strip setuid bit
chmod -s $RPM_BUILD_ROOT/usr/sbin/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ABOUT mkisofs/ChangeLog README.* mkisofs/TODO
/usr/bin/*
/usr/sbin/*
/usr/share/man/*/*

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/include/*.h

%changelog
* Sat Feb 28 2004 Erlend Midttun <erlendbm at trustix dot org> 1.10-8tr
- Strip setuid bit on /usr/sbin/*

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-7tr
- Big rebuild

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-6em
- Cleaned up file/directory ownership.

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-5em
- Cleaned up PreReq's and added %defattr instead.

* Fri May  2 2003 Christian H. Toldnes <christht at trustix dot com> 1.10-4ct
- Added PreReq on setup in main package

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 1.10-3gd
- Added PreReq on setup in devel package

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.10-2em
- Rebuilt against glibc 2.3.2.

* Mon Jul  8 2002 Christian H. Toldnes <christht at trustix dot com>
- Initial release for TSL 2.0
- Provides/obsoletes mkisofs
- Split into -devel
